scala.collection.jcl.SeqIterator
class Map

[source: `scala/collection/jcl/SeqIterator.scala`]

`` `class` Map[B](f : (A) => B)
  `extends` Map[B]`with` SeqIterator[K, B]

  Standard implementation of a mapped iterator.

Method Summary
`override def` | hasPrevious : Boolean
`override def` | map [C](g : (B) => C) : SeqIterator[K, C] Returns a new iterator that maps all elements of this iterator to new elements using function `f`.
`override def` | nextIndex : K
`override def` | previous : B
`override def` | previousIndex : K

Methods inherited from SeqIterator
seek, indexOf

Methods inherited from Map
hasNext, next, remove

Methods inherited from MutableIterator
has, remove, retain

Methods inherited from Iterator
take, drop, append, ++, flatMap, filter, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, buffered, counted, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString, toString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` hasPrevious : Boolean

Returns
  True if and only if the iterator's cursor is not at the beging of the iteration.

Overrides
  SeqIterator.hasPrevious

`override` `def` previous : B

Returns
  The previous element, will move the iterator's cursor backwards.

Overrides
  SeqIterator.previous

`override` `def` previousIndex : K

Returns
  s The index of the element before the iterator's cursor.

Overrides
  SeqIterator.previousIndex

`override` `def` nextIndex : K

Returns
  s The index at the iterator's cursor.

Overrides
  SeqIterator.nextIndex

`override` `def` map[C](g : (B) => C) : SeqIterator[K, C]

  Returns a new iterator that maps all elements of this iterator to new elements using function `f`.

Overrides
  SeqIterator.map